CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::http::basic_content_filter Class Reference

`#include <cppcms/http_content_filter.h>`

Inheritance diagram for cppcms::http::basic_content_filter:

## Public Member Functions
virtual void | on_end_of_content ()
virtual void | on_error ()

## Detailed Description

Basic content filter that can be installed to request, all filters should be derived from this base class

Note that when `on_*` member functions of the basic_content_filter are called the original application that runs the filtering has temporary installed context that can be accessed from it.

New in CppCMS 1.2

## Member Function Documentation

virtual void cppcms::http::basic_content_filter::on_end_of_content | ( |  | ) |
| virtual

Member function that is called when entire content is read. By default does nothing.

The request can be aborted by throwing abort_upload

virtual void cppcms::http::basic_content_filter::on_error | ( |  | ) |
| virtual

Member function that is called in case of a error occuring during upload progress, user should not throw exception from this function but rather perform cleanup procedures if needed

The documentation for this class was generated from the following file:

- cppcms/http_content_filter.h